"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBExecutionEvent subclass:#GDBStoppedEvent
	instanceVariableNames:'stopped_threads'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Events'
!

!GDBStoppedEvent class methodsFor:'accessing - GDB value descriptors'!

description
    ^ (super description)
        define:#'thread-id' as:Integer;
        define:#'stopped-threads' as:String;
        yourself

    "Created: / 08-09-2014 / 22:13:45 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 22-09-2014 / 23:44:15 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBStoppedEvent methodsFor:'accessing'!

stoppedThread
    ^ threads detect:[:thread | thread id = thread_id ]

    "Created: / 22-09-2014 / 23:24:47 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 27-02-2015 / 12:36:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

stoppedThreadId
    ^ thread_id asInteger

    "Created: / 08-09-2014 / 22:15:28 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 22-09-2014 / 23:28:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

stoppedThreadIds
    ^ stopped_threads

    "Created: / 08-09-2014 / 22:15:38 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

type
	^  'stopped'
! !

